/**
 * Created by robin on 12/11/16.
 */

(function () {
    'use strict';
    angular.module('luticate2Utils')
        .factory('luUtilsDataAccess', [function () {

            var luUtilsDataAccess = {};

            luUtilsDataAccess.momentDateTimeToString = function(date)
            {
                if (date == null) {
                    return null;
                }
                return date.toISOString();
            };

            luUtilsDataAccess.stringToMomentDateTime = function(str)
            {
                if (str == null) {
                    return null;
                }
                return new Date(str);
            };

            luUtilsDataAccess.dateTimeToString = function(date)
            {
                if (date == null) {
                    return null;
                }
                var d = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate(), date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds())).toISOString();
                return d;
            };

            luUtilsDataAccess.stringToDateTime = function(str)
            {
                if (str == null) {
                    return null;
                }
                var date = new Date(str);
                var d = new Date(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate(), date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds(), date.getUTCMilliseconds());
                return d;
            };

            return luUtilsDataAccess;

        }]);
})();